# SampleBorrow in rand::distributions::uniform - Rust
Helper trait similar to `Borrow` but implemented only for SampleUniform and references to SampleUniform in order to resolve ambiguity issues.
Keywords: rust, rustlang, rust-lang, SampleBorrow

# Trait rand::distributions::uniform::SampleBorrow

source · [−]

    pub trait SampleBorrow<Borrowed> {
        fn borrow(&self) -> &Borrowed;
    }

Expand description

Helper trait similar to `Borrow` but implemented only for SampleUniform and references to SampleUniform in order to resolve ambiguity issues.

## Required Methods

source

#### fn borrow(&self) -> &Borrowed

Immutably borrows from an owned value. See `Borrow::borrow`

## Implementations on Foreign Types

source

### impl<'a, Borrowed> SampleBorrow<Borrowed> for &'a Borrowed where
Borrowed: SampleUniform,

source

#### fn borrow(&self) -> &Borrowed

## Implementors

source

### impl<Borrowed> SampleBorrow<Borrowed> for Borrowed where
Borrowed: SampleUniform,